QGIS Application - Bug report #19330

Provider Feature Filter Query Builder - CHANGES ATTRIBUTE VALUES

2018-07-04 12:56 AM - Emma Gause

Status: Closed
Priority: High
Assignee:

Category: Vectors

Affected QGIS version:3.3(master)
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: Yes
Easy fix?: No
Resolution: not reproducable

Copied to github as #: 27158

Description

Using QGIS 3.2: | put a single query in the Provider Feature Filter to get a subset of my data. Data was formatted as number with
decimals. Query was "Field_Name" >=80. After applying the filter, the values in my attribute table for this field were changed. Originally
values in this field ranged from 0.0... t0 99.9... (it was a percentile), but after applying the query, many of the fields were changed and
included values up to 8000+ and "ERROR" and "Inf." The same data and the same query in QGIS 3.0 worked as expected and simply

filtered the data to include values of 80+

History

#1 - 2018-07-04 12:34 PM - Giovanni Manghi
- Status changed from Open to Feedback

Are the data really corrupted or is just a visualization problem within QGIS?

#2 - 2018-07-05 05:40 PM - Emma Gause

Giovanni Manghi wrote:

Are the data really corrupted or is just a visualization problem within QGIS?

Hello,

After the query is applied, the data in the attribute table is changed. However, if you remove the query then the data goes back to its original values.

This does not happen in QGIS 3.0 - | tried the same query with the same data and it worked just fine.

Best,

Emma

#3 - 2018-07-27 05:39 PM - Olcay Ebcin
- File 3 - feat_id and No Filter.png added
- File 1 - fid and Filter.png added

- File 2 - feat _id and Filter.png added

Hi,

| have exactly the same problem in QGIS 3.2

| attached 3 screenshots for the same GEOPACKAGE FEATURE which is "Sewer Node".
If 1 use "fid" name as Primary Key field, then | have no problem with or Without Filter both in labeling and feature attribute. (find screenshot 1.png)

If 1 use different name for Primary Key like "feat_id" and use Filter, you will see that there is a problem both in labeling and feature attributes. (find

screenshot 2.png)

If 1 dont use a Filter, then | have no problem whatever the Primary Key name is. (find screenshot 3.png)

in QGIS 3.0 there is no such problem. Also, there is no problem in postgis database.

Regards,
Olcay

#4 - 2018-07-30 11:01 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from Yes to No
- Category changed from Expressions to Vectors

- Status changed from Feedback to Open

- Regression? changed from No to Yes
#5 - 2018-09-25 10:44 AM - Olcay Ebcin
Hi,

Is anybody working on this issue?
Problem still exists.

#6 - 2018-10-02 03:06 AM - Nyall Dawson
- Status changed from Open to Feedback

Can you share the project/data? It's not possible to reproduce this without it.

#7 - 2018-10-02 08:54 PM - Olcay Ebcin
- File test_data.gpkg added

Dear Nyall,

Please find attached geopackage file.

if you filter features as row_status=1 and identify or label features,
you will see the difference.

#8 - 2018-10-03 03:12 PM - Giovanni Manghi

- Subject changed from V3.2: Provider Feature Filter Query Builder - CHANGES ATTRIBUTE VALUES to Provider Feature Filter Query Builder -

CHANGES ATTRIBUTE VALUES
- Affected QGIS version changed from 3.2 to 3.3(master)
- Operating System deleted (Mac OSX)

Olcay Ebcin wrote:
Dear Nyall,

Please find attached geopackage file.

if you filter features as row_status=1 and identify or label features,
you will see the difference.

yeah, applying this filter on the provided datasource makes the attributes change in a very strange (and very wrong) way...
Tested also on master/linux.

#9 - 2019-01-14 11:52 PM - Nyall Dawson

- Status changed from Feedback to Open

#10 - 2019-01-25 01:35 AM - Nyall Dawson

- Status changed from Open to Feedback

| cannot reproduce. Can someone share a screencast demonstrating this?

#11 - 2019-03-09 05:01 PM - Giovanni Manghi
- Status changed from Feedback to Closed
- Resolution set to not reproducable

This does not seems reproducable anymore on 3.6 at least, please reopen if necessary.

Files

Screen Shot 2018-07-03 at 2.26.06 PM.png 32.1 KB 2018-07-03 Emma Gause
1 - fid and Filter.png 69.6 KB 2018-07-27 Olcay Ebcin
2 - feat_id and Filter.png 69.4 KB 2018-07-27 Olcay Ebcin
3 - feat_id and No Filter.png 59.4 KB 2018-07-27 Olcay Ebcin
test_data.gpkg 380 KB 2018-10-02 Olcay Ebcin
